<script>
import Request from '@/common/request'
import ApiConstant from "@/common/ApiConstant";
import Link from "@/pages/extUI/link/link.vue";
import StaticConstant from "../../../common/StaticConstant";
let request = new Request()
let app = getApp()
export default {
  name: "user-index",
  computed: {
    app(){
      return app
    },
    StaticConstant() {
      return StaticConstant
    }
  },
  components: {Link},
  data() {
    return {
      userInfo:{},
      scoreInfo:{
        id:'',
        province: '河南',//省份
        cognitioPolyclinic: '理科',//科类
        professionalCategory: '美术类',//报考方向
        culturalScore: '457',//文化分
        professionalScore: '210',//统考分
        chineseScore:'',
        englishScore:''
      },
    }
  },
  onShow(){
  },
  onLoad() {
    this.userInfo = uni.getStorageSync('userInfo')
    if (this.userInfo === null) {
      wx.reLaunch({
        url: '/pages/zyb/login',
      })
      return;
    }
    this.getScore()
  },
  methods: {
    //成绩信息
    getScore(){
      let that = this
      that.scoreInfo = uni.getStorageSync("scoreInfo")
    },
    goto(e) {
      uni.navigateTo({
        url: e
      })
    },
    goToEdit(){
      this.goto('/pages/zyb/score/edit')
    }
  }
}
</script>

<template>
  <!--头部-->
  <view class="body">
    <uni-section class="mb-10" title="统考/省联考成绩" sub-title="如需修改请联系客服处理" type="line"></uni-section>
    <view class="items">
      <view class="item item-border">
        <view class="left">用户昵称</view>
        <view class="right">
          <input v-model="userInfo.realname"/>
        </view>
      </view>
      <view class="item item-border">
        <view class="left">高考地区</view>
        <view class="right dark">{{scoreInfo.province}}</view>
      </view>
      <view class="item">
        <view class="left">高考年份</view>
        <view class="right dark">{{app.globalData.StaticConstant.remote.nowYear}}</view>
      </view>
    </view>

    <view style="display: flex;height: 100rpx">
      <uni-section class="mb-10" title="选择艺考和艺考方向" type="line"></uni-section>
      <text style="line-height: 100rpx;margin: 0 0 0 auto;color: #4975fd;font-size: 25rpx" @click="goToEdit()">前往修改</text>
    </view>
    <view class="items">
      <view class="item item-border">
        <view class="left">选考科目</view>
        <view class="right dark">
          {{ scoreInfo.cognitioPolyclinic === '文科'?'历史组':'物理组' }}
        </view>
      </view>
      <view class="item">
        <view class="left">艺考方向</view>
        <view class="right dark">{{scoreInfo.professionalCategory}}</view>
      </view>
    </view>
  </view>
</template>

<style scoped lang="scss">
.body {
  background-color: white;
  min-height: 800rpx;
  padding: 30rpx;
  /*单行*/
  .item-border{
    border-bottom:3rpx solid #e5e5e5;
  }
  .item{
    display: flex;
    height: 100rpx;
    line-height: 100rpx;
    .left{
    }
    .right{
      margin: 0 0 0 auto;
      input{
        text-align:right;
        height: 100rpx;
        line-height: 100rpx;
      }
    }
  }
}
.dark{
  color:#606266;
}
</style>
